#include <bits/stdc++.h>
using namespace std;

int n,h,l,cnt;
bool t=0;

int main(){

    cin >> n >> l;
    for(int i=1;i<=n;i++){
        cin >> h;
        if(h<=l){
            t=true;
            cnt=i;
            break;
        }
    }
    if(t) cout << cnt << endl;
    else cout << -1 << endl;

return 0;
}